Bug 130818 - PostgreSQL can lose committed transactions
PostgreSQL can lose committed transactions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: postgresql (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-24 17:59 EDT by Tom Lane
Modified: 2013-07-02 23:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-16 11:25:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2004-08-24 17:59:02 EDT
Description of problem: Transactions committed just before the last
checkpoint before a database crash may be lost, in whole or in part,
after recovery.

Version-Release number of selected component (if applicable): All PG
versions 7.1-7.4

How reproducible: Difficult to reproduce due to narrow window of
vulnerability, but a fairly reproducible test case is described at
http://archives.postgresql.org/pgsql-hackers/2004-08/msg00650.php

Steps to Reproduce:
1.  See link
  
Actual results: Lost data

Expected results: No lost data

Additional info: This is repaired in the most recent upstream
releases.  For AS2.1, we are using the 7.1 series of PG releases, for
which there is no upstream patch; we will need to backport a fix.
Comment 1 Tom Lane 2005-02-10 13:28:47 EST
Fix made for postgresql-7.1.3-6.rhel2.1AS.  A side-effect of the fix
is that the commit_delay functionality is disabled ... but I doubt
anyone will miss it.
Comment 2 Josh Bressers 2005-02-16 11:25:39 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-150.html

Note You need to log in before you can comment on or make changes to this bug.